from random import randint

class Thing:

    def __init__(self):
        self.a = 1
        self.b = 4
    
    def foo(self, param):
        self.a = self.a + param
        self.b = self.b + param
        return self.a + self.b

    def bar(self, param):
        a = self.a + param
        b = self.b + param
        return a + b

    def __str__(self):
        return "a is " + str(self.a) + ", b is " + str(self.b)


def example1():
    it = Thing()
    print(it.foo(2))
    print(it.bar(3))
    print(it)


class Person:
    SHIRT_COLORS = ("red", "green", "blue", "yellow")
    
    def __init__(self, person_name, shirt_color = "blue"):
        self.name = person_name
        self.shirt_color = shirt_color


    def get_name(self):
        return self.name
    

    def get_shirt_color(self):
        return self.shirt_color


    def change_shirt(self):
        index = randint(0,3)
        self.shirt_color = self.SHIRT_COLORS[index]


    def same_color(self, other_person):
        return self.shirt_color == other_person.get_shirt_color()


    def __str__(self):
        return self.name + " has a " + self.shirt_color + " shirt"


def example2():
    person1 = Person("Alice")
    person2 = Person("Bob", "green")
    
    for day in range(1,6):
        print("-"*10,"Day",day,"-"*10)
        print(person1)
        print(person2)
        
        if person1.same_color(person2):
            print(person1.get_name(),"and",person2.get_name(), \
                      "are wearing the same color shirt!")
        
        person1.change_shirt()
        person2.change_shirt()

def main():
    #example1()
    example2()

if __name__ == "__main__":
    main()
